Skip to main content
GET
/
v1
/
bot
/
memory
/
readall
List User Memories
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/memory/readall \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "memories": [
    {
      "uuid": "<string>",
      "type": "semantic",
      "content": "<string>",
      "is_active": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

user_uuid
string<uuid>

Filter by user UUID

type
enum<string>

Filter by memory type

Available options:
semantic,
episodic,
procedural,
all

Response

200 - application/json

List of memories

total
integer
memories
object[]
pagination
object